/*	
****************************************************************************
*
* Program Name:      Storage Management Services (DRAPI)
*
* Filename:          smsdrapi.h
*
* Date Created:      March 4, 1992
*
* Version:           3.2
*
* Files used:    
*
* Date Modified: 
*
* Modifications: 
*
* Comments:          Definitions for SMS DRAPI
*
* (C) Unpublished Copyright of Novell, Inc.  All Rights Reserved.
*
* No part of this file may be duplicated, revised, translated, localized or
* modified in any manner or compiled, linked or uploaded or downloaded to or
* from any computer system without the prior written consent of Novell, Inc.
*
****************************************************************************
*/

#ifndef _SMSDRAPI_H_INCLUDED      /* smsdrapi.h header latch */
#define _SMSDRAPI_H_INCLUDED

#include <smsdrerr.h>

	CCODE NWSMListTSAs(
		char *pattern, 
		NWSM_NAME_LIST **tsaNameList);

	CCODE NWSMListSMDRs(
		char *pattern, 
		NWSM_NAME_LIST **tsaNameList);

	CCODE NWSMTSListTargetServices(
		UINT32 connectionID, 
		char *pattern, 
		NWSM_NAME_LIST **tsNameList);

	CCODE NWSMConvertError(
		UINT32 connectionID, 
		CCODE error, 
		STRING message);

#endif                            /* smsdrapi.h header latch */
/****************************************************************************/

